org.wildfly.swarm.config.messaging.activemq.server

## Class ConnectionFactory<T extends ConnectionFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.ConnectionFactory<T>

-     public class ConnectionFactory<T extends ConnectionFactory<T>>
      extends Object

  Defines a connection factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `autoGroup()` Whether or not message grouping is automatically used
    `T` | `autoGroup(Boolean value)` Whether or not message grouping is automatically used
    `Boolean` | `blockOnAcknowledge()` True to set block on acknowledge.
    `T` | `blockOnAcknowledge(Boolean value)` True to set block on acknowledge.
    `Boolean` | `blockOnDurableSend()` True to set block on durable send.
    `T` | `blockOnDurableSend(Boolean value)` True to set block on durable send.
    `Boolean` | `blockOnNonDurableSend()` True to set block on non durable send.
    `T` | `blockOnNonDurableSend(Boolean value)` True to set block on non durable send.
    `Boolean` | `cacheLargeMessageClient()` True to cache large messages.
    `T` | `cacheLargeMessageClient(Boolean value)` True to cache large messages.
    `Long` | `callFailoverTimeout()` The timeout to use when fail over is in process (in ms).
    `T` | `callFailoverTimeout(Long value)` The timeout to use when fail over is in process (in ms).
    `Long` | `callTimeout()` The call time out.
    `T` | `callTimeout(Long value)` The call time out.
    `Long` | `clientFailureCheckPeriod()` The client failure check period.
    `T` | `clientFailureCheckPeriod(Long value)` The client failure check period.
    `String` | `clientId()` The client id.
    `T` | `clientId(String value)` The client id.
    `Boolean` | `compressLargeMessages()` Whether large messages should be compressed.
    `T` | `compressLargeMessages(Boolean value)` Whether large messages should be compressed.
    `Integer` | `confirmationWindowSize()` The confirmation window size.
    `T` | `confirmationWindowSize(Integer value)` The confirmation window size.
    `String` | `connectionLoadBalancingPolicyClassName()` Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.
    `T` | `connectionLoadBalancingPolicyClassName(String value)` Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.
    `Long` | `connectionTtl()` The connection ttl.
    `T` | `connectionTtl(Long value)` The connection ttl.
    `T` | `connector(String value)` Defines the connectors.
    `List<String>` | `connectors()` Defines the connectors.
    `T` | `connectors(List<String> value)` Defines the connectors.
    `T` | `connectors(String... args)` Defines the connectors.
    `Integer` | `consumerMaxRate()` The consumer max rate.
    `T` | `consumerMaxRate(Integer value)` The consumer max rate.
    `Integer` | `consumerWindowSize()` The consumer window size.
    `T` | `consumerWindowSize(Integer value)` The consumer window size.
    `List<String>` | `deserializationBlackList()` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(List<String> value)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(String... args)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(String value)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `List<String>` | `deserializationWhiteList()` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(List<String> value)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(String... args)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(String value)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `String` | `discoveryGroup()` The discovery group name.
    `T` | `discoveryGroup(String value)` The discovery group name.
    `Integer` | `dupsOkBatchSize()` The dups ok batch size.
    `T` | `dupsOkBatchSize(Integer value)` The dups ok batch size.
    `List<String>` | `entries()` The jndi names the connection factory should be bound to.
    `T` | `entries(List<String> value)` The jndi names the connection factory should be bound to.
    `T` | `entries(String... args)` The jndi names the connection factory should be bound to.
    `T` | `entry(String value)` The jndi names the connection factory should be bound to.
    `FactoryType` | `factoryType()` The type of connection factory.
    `T` | `factoryType(FactoryType value)` The type of connection factory.
    `Boolean` | `failoverOnInitialConnection()` True to fail over on initial connection.
    `T` | `failoverOnInitialConnection(Boolean value)` True to fail over on initial connection.
    `String` | `getKey()`
    `String` | `groupId()` The group id.
    `T` | `groupId(String value)` The group id.
    `Boolean` | `ha()` Whether the connection factory supports High Availability.
    `T` | `ha(Boolean value)` Whether the connection factory supports High Availability.
    `Integer` | `initialMessagePacketSize()` The initial size of messages created through this factory.
    `T` | `initialMessagePacketSize(Integer value)` The initial size of messages created through this factory.
    `Long` | `maxRetryInterval()` The max retry interval.
    `T` | `maxRetryInterval(Long value)` The max retry interval.
    `Integer` | `minLargeMessageSize()` The min large message size.
    `T` | `minLargeMessageSize(Integer value)` The min large message size.
    `Boolean` | `preAcknowledge()` True to pre-acknowledge.
    `T` | `preAcknowledge(Boolean value)` True to pre-acknowledge.
    `Integer` | `producerMaxRate()` The producer max rate.
    `T` | `producerMaxRate(Integer value)` The producer max rate.
    `Integer` | `producerWindowSize()` The producer window size.
    `T` | `producerWindowSize(Integer value)` The producer window size.
    `String` | `protocolManagerFactory()` The protocol manager factory used by this connection factory (it must implement org.apache.activemq.artemis.spi.core.remoting.
    `T` | `protocolManagerFactory(String value)` The protocol manager factory used by this connection factory (it must implement org.apache.activemq.artemis.spi.core.remoting.
    `Integer` | `reconnectAttempts()` The reconnect attempts.
    `T` | `reconnectAttempts(Integer value)` The reconnect attempts.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `retryInterval()` The retry interval.
    `T` | `retryInterval(Long value)` The retry interval.
    `BigDecimal` | `retryIntervalMultiplier()` The retry interval multiplier.
    `T` | `retryIntervalMultiplier(BigDecimal value)` The retry interval multiplier.
    `Integer` | `scheduledThreadPoolMaxSize()` The scheduled thread pool max size.
    `T` | `scheduledThreadPoolMaxSize(Integer value)` The scheduled thread pool max size.
    `Integer` | `threadPoolMaxSize()` The thread pool max size.
    `T` | `threadPoolMaxSize(Integer value)` The thread pool max size.
    `Integer` | `transactionBatchSize()` The transaction batch size.
    `T` | `transactionBatchSize(Integer value)` The transaction batch size.
    `Boolean` | `useGlobalPools()` True to use global pools.
    `T` | `useGlobalPools(Boolean value)` True to use global pools.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFactory

          public ConnectionFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### autoGroup

          public Boolean autoGroup()

      Whether or not message grouping is automatically used

    - #### autoGroup

          public T autoGroup(Boolean value)

      Whether or not message grouping is automatically used

    - #### blockOnAcknowledge

          public Boolean blockOnAcknowledge()

      True to set block on acknowledge.

    - #### blockOnAcknowledge

          public T blockOnAcknowledge(Boolean value)

      True to set block on acknowledge.

    - #### blockOnDurableSend

          public Boolean blockOnDurableSend()

      True to set block on durable send.

    - #### blockOnDurableSend

          public T blockOnDurableSend(Boolean value)

      True to set block on durable send.

    - #### blockOnNonDurableSend

          public Boolean blockOnNonDurableSend()

      True to set block on non durable send.

    - #### blockOnNonDurableSend

          public T blockOnNonDurableSend(Boolean value)

      True to set block on non durable send.

    - #### cacheLargeMessageClient

          public Boolean cacheLargeMessageClient()

      True to cache large messages.

    - #### cacheLargeMessageClient

          public T cacheLargeMessageClient(Boolean value)

      True to cache large messages.

    - #### callFailoverTimeout

          public Long callFailoverTimeout()

      The timeout to use when fail over is in process (in ms).

    - #### callFailoverTimeout

          public T callFailoverTimeout(Long value)

      The timeout to use when fail over is in process (in ms).

    - #### callTimeout

          public Long callTimeout()

      The call time out.

    - #### callTimeout

          public T callTimeout(Long value)

      The call time out.

    - #### clientFailureCheckPeriod

          public Long clientFailureCheckPeriod()

      The client failure check period.

    - #### clientFailureCheckPeriod

          public T clientFailureCheckPeriod(Long value)

      The client failure check period.

    - #### clientId

          public String clientId()

      The client id.

    - #### clientId

          public T clientId(String value)

      The client id.

    - #### compressLargeMessages

          public Boolean compressLargeMessages()

      Whether large messages should be compressed.

    - #### compressLargeMessages

          public T compressLargeMessages(Boolean value)

      Whether large messages should be compressed.

    - #### confirmationWindowSize

          public Integer confirmationWindowSize()

      The confirmation window size.

    - #### confirmationWindowSize

          public T confirmationWindowSize(Integer value)

      The confirmation window size.

    - #### connectionLoadBalancingPolicyClassName

          public String connectionLoadBalancingPolicyClassName()

      Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.

    - #### connectionLoadBalancingPolicyClassName

          public T connectionLoadBalancingPolicyClassName(String value)

      Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.

    - #### connectionTtl

          public Long connectionTtl()

      The connection ttl.

    - #### connectionTtl

          public T connectionTtl(Long value)

      The connection ttl.

    - #### connectors

          public List<String> connectors()

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connectors

          public T connectors(List<String> value)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connector

          public T connector(String value)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connectors

          public T connectors(String... args)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### consumerMaxRate

          public Integer consumerMaxRate()

      The consumer max rate.

    - #### consumerMaxRate

          public T consumerMaxRate(Integer value)

      The consumer max rate.

    - #### consumerWindowSize

          public Integer consumerWindowSize()

      The consumer window size.

    - #### consumerWindowSize

          public T consumerWindowSize(Integer value)

      The consumer window size.

    - #### deserializationBlackList

          public List<String> deserializationBlackList()

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(List<String> value)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(String value)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(String... args)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public List<String> deserializationWhiteList()

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(List<String> value)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(String value)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(String... args)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### discoveryGroup

          public String discoveryGroup()

      The discovery group name.

    - #### discoveryGroup

          public T discoveryGroup(String value)

      The discovery group name.

    - #### dupsOkBatchSize

          public Integer dupsOkBatchSize()

      The dups ok batch size.

    - #### dupsOkBatchSize

          public T dupsOkBatchSize(Integer value)

      The dups ok batch size.

    - #### entries

          public List<String> entries()

      The jndi names the connection factory should be bound to.

    - #### entries

          public T entries(List<String> value)

      The jndi names the connection factory should be bound to.

    - #### entry

          public T entry(String value)

      The jndi names the connection factory should be bound to.

    - #### entries

          public T entries(String... args)

      The jndi names the connection factory should be bound to.

    - #### factoryType

          public FactoryType factoryType()

      The type of connection factory.

    - #### factoryType

          public T factoryType(FactoryType value)

      The type of connection factory.

    - #### failoverOnInitialConnection

          public Boolean failoverOnInitialConnection()

      True to fail over on initial connection.

    - #### failoverOnInitialConnection

          public T failoverOnInitialConnection(Boolean value)

      True to fail over on initial connection.

    - #### groupId

          public String groupId()

      The group id.

    - #### groupId

          public T groupId(String value)

      The group id.

    - #### ha

          public Boolean ha()

      Whether the connection factory supports High Availability.

    - #### ha

          public T ha(Boolean value)

      Whether the connection factory supports High Availability.

    - #### initialMessagePacketSize

          public Integer initialMessagePacketSize()

      The initial size of messages created through this factory.

    - #### initialMessagePacketSize

          public T initialMessagePacketSize(Integer value)

      The initial size of messages created through this factory.

    - #### maxRetryInterval

          public Long maxRetryInterval()

      The max retry interval.

    - #### maxRetryInterval

          public T maxRetryInterval(Long value)

      The max retry interval.

    - #### minLargeMessageSize

          public Integer minLargeMessageSize()

      The min large message size.

    - #### minLargeMessageSize

          public T minLargeMessageSize(Integer value)

      The min large message size.

    - #### preAcknowledge

          public Boolean preAcknowledge()

      True to pre-acknowledge.

    - #### preAcknowledge

          public T preAcknowledge(Boolean value)

      True to pre-acknowledge.

    - #### producerMaxRate

          public Integer producerMaxRate()

      The producer max rate.

    - #### producerMaxRate

          public T producerMaxRate(Integer value)

      The producer max rate.

    - #### producerWindowSize

          public Integer producerWindowSize()

      The producer window size.

    - #### producerWindowSize

          public T producerWindowSize(Integer value)

      The producer window size.

    - #### protocolManagerFactory

          public String protocolManagerFactory()

      The protocol manager factory used by this connection factory (it must implement org.apache.activemq.artemis.spi.core.remoting. ClientProtocolManagerFactory).

    - #### protocolManagerFactory

          public T protocolManagerFactory(String value)

      The protocol manager factory used by this connection factory (it must implement org.apache.activemq.artemis.spi.core.remoting. ClientProtocolManagerFactory).

    - #### reconnectAttempts

          public Integer reconnectAttempts()

      The reconnect attempts.

    - #### reconnectAttempts

          public T reconnectAttempts(Integer value)

      The reconnect attempts.

    - #### retryInterval

          public Long retryInterval()

      The retry interval.

    - #### retryInterval

          public T retryInterval(Long value)

      The retry interval.

    - #### retryIntervalMultiplier

          public BigDecimal retryIntervalMultiplier()

      The retry interval multiplier.

    - #### retryIntervalMultiplier

          public T retryIntervalMultiplier(BigDecimal value)

      The retry interval multiplier.

    - #### scheduledThreadPoolMaxSize

          public Integer scheduledThreadPoolMaxSize()

      The scheduled thread pool max size.

    - #### scheduledThreadPoolMaxSize

          public T scheduledThreadPoolMaxSize(Integer value)

      The scheduled thread pool max size.

    - #### threadPoolMaxSize

          public Integer threadPoolMaxSize()

      The thread pool max size.

    - #### threadPoolMaxSize

          public T threadPoolMaxSize(Integer value)

      The thread pool max size.

    - #### transactionBatchSize

          public Integer transactionBatchSize()

      The transaction batch size.

    - #### transactionBatchSize

          public T transactionBatchSize(Integer value)

      The transaction batch size.

    - #### useGlobalPools

          public Boolean useGlobalPools()

      True to use global pools.

    - #### useGlobalPools

          public T useGlobalPools(Boolean value)

      True to use global pools.

Copyright © 2018 JBoss by Red Hat. All rights reserved.